Open CASCADE Technology: IGESGraph_Array1OfTextDisplayTemplate Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESGraph_Array1OfTextDisplayTemplate Class Reference

`#include <IGESGraph_Array1OfTextDisplayTemplate.hxx>`

## Public Member Functions
| IGESGraph_Array1OfTextDisplayTemplate (const Standard_Integer Low, const Standard_Integer Up)
| IGESGraph_Array1OfTextDisplayTemplate (const Handle< IGESGraph_TextDisplayTemplate > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< IGESGraph_TextDisplayTemplate > &V)
void | Destroy ()
| ~IGESGraph_Array1OfTextDisplayTemplate ()
Standard_Boolean | IsAllocated () const
const IGESGraph_Array1OfTextDisplayTemplate & | Assign (const IGESGraph_Array1OfTextDisplayTemplate &Other)
const IGESGraph_Array1OfTextDisplayTemplate & | operator= (const IGESGraph_Array1OfTextDisplayTemplate &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< IGESGraph_TextDisplayTemplate > &Value)
const Handle < IGESGraph_TextDisplayTemplate > & | Value (const Standard_Integer Index) const
const Handle < IGESGraph_TextDisplayTemplate > & | operator() (const Standard_Integer Index) const
Handle < IGESGraph_TextDisplayTemplate > & | ChangeValue (const Standard_Integer Index)
Handle < IGESGraph_TextDisplayTemplate > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

IGESGraph_Array1OfTextDisplayTemplate::IGESGraph_Array1OfTextDisplayTemplate | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

IGESGraph_Array1OfTextDisplayTemplate::IGESGraph_Array1OfTextDisplayTemplate | ( | const Handle< IGESGraph_TextDisplayTemplate > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

IGESGraph_Array1OfTextDisplayTemplate::~IGESGraph_Array1OfTextDisplayTemplate | ( |  | ) |
| inline

## Member Function Documentation

const IGESGraph_Array1OfTextDisplayTemplate& IGESGraph_Array1OfTextDisplayTemplate::Assign | ( | const IGESGraph_Array1OfTextDisplayTemplate & | Other | ) |

Handle< IGESGraph_TextDisplayTemplate >& IGESGraph_Array1OfTextDisplayTemplate::ChangeValue | ( | const Standard_Integer | Index | ) |

void IGESGraph_Array1OfTextDisplayTemplate::Destroy | ( |  | ) |

void IGESGraph_Array1OfTextDisplayTemplate::Init | ( | const Handle< IGESGraph_TextDisplayTemplate > & | V | ) |

Standard_Boolean IGESGraph_Array1OfTextDisplayTemplate::IsAllocated | ( |  | ) | const

Standard_Integer IGESGraph_Array1OfTextDisplayTemplate::Length | ( |  | ) | const

Standard_Integer IGESGraph_Array1OfTextDisplayTemplate::Lower | ( |  | ) | const

const Handle< IGESGraph_TextDisplayTemplate >& IGESGraph_Array1OfTextDisplayTemplate::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< IGESGraph_TextDisplayTemplate >& IGESGraph_Array1OfTextDisplayTemplate::operator() | ( | const Standard_Integer | Index | ) |
| inline

const IGESGraph_Array1OfTextDisplayTemplate& IGESGraph_Array1OfTextDisplayTemplate::operator= | ( | const IGESGraph_Array1OfTextDisplayTemplate & | Other | ) |
| inline

void IGESGraph_Array1OfTextDisplayTemplate::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< IGESGraph_TextDisplayTemplate > & | Value
| ) |  |

Standard_Integer IGESGraph_Array1OfTextDisplayTemplate::Upper | ( |  | ) | const

const Handle< IGESGraph_TextDisplayTemplate >& IGESGraph_Array1OfTextDisplayTemplate::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- IGESGraph_Array1OfTextDisplayTemplate.hxx